#!/bin/bash
set -e

NAME="eclipse-dltk"
TAG=R5_8_2
RELENG_TAG=$TAG
CORE_TAG=$TAG
RUBY_TAG=$TAG
SHELL_TAG=$TAG
TCL_TAG=$TAG

mkdir -p $NAME-$TAG
pushd $NAME-$TAG

function dl() {
	if [ ! -f "$1-$2.tar.xz" ] ; then
		while ! wget http://git.eclipse.org/c/dltk/${1}.git/snapshot/${1}-${2}.tar.xz ; do
			sleep 1
		done
	fi
}

dl org.eclipse.dltk.releng $RELENG_TAG
tar xfs org.eclipse.dltk.releng-$RELENG_TAG.tar.xz
mv org.eclipse.dltk.releng-$RELENG_TAG org.eclipse.dltk.releng

dl org.eclipse.dltk.core $CORE_TAG
tar xfs org.eclipse.dltk.core-$CORE_TAG.tar.xz
mv org.eclipse.dltk.core-$CORE_TAG org.eclipse.dltk.core

dl org.eclipse.dltk.ruby $RUBY_TAG
tar xfs org.eclipse.dltk.ruby-$RUBY_TAG.tar.xz
mv org.eclipse.dltk.ruby-$RUBY_TAG org.eclipse.dltk.ruby

dl org.eclipse.dltk.tcl $TCL_TAG
tar xfs org.eclipse.dltk.tcl-$TCL_TAG.tar.xz
mv org.eclipse.dltk.tcl-$TCL_TAG org.eclipse.dltk.tcl

dl org.eclipse.dltk.sh $SHELL_TAG
tar xfs org.eclipse.dltk.sh-$SHELL_TAG.tar.xz
mv org.eclipse.dltk.sh-$SHELL_TAG org.eclipse.dltk.sh

popd

#Remove any commited jars
find $NAME-$TAG -name *.jar -delete
find $NAME-$TAG -name *.class -delete

echo "Creating tarball '$NAME-$TAG.tar.xz'..."
rm $NAME-$TAG *.tar.xz
tar -caf $NAME-$TAG.tar.xz $NAME-$TAG
rm -fr $NAME-$TAG
